package com.goafanti.patent.bo;

import java.util.Date;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.goafanti.common.constant.AFTConstants;

/**
 * 待缴费专利管理
 */
public class PatentPendingBo {
	private String	uid;

	private String	oid;

	private String	pid;

	private String	cid;

	private Integer	serialNumber;

	private String	patentNumber;

	private Integer	locationProvince;

	private String	unitName;

	private Integer	patentCatagory;

	private String	patentName;

	private Integer	patentState;

	private Integer	annualFeeState;

	private Date	authorizedDate;

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public String getOid() {
		return oid;
	}

	public void setOid(String oid) {
		this.oid = oid;
	}

	public String getPid() {
		return pid;
	}

	public void setPid(String pid) {
		this.pid = pid;
	}

	public String getCid() {
		return cid;
	}

	public void setCid(String cid) {
		this.cid = cid;
	}

	public Integer getSerialNumber() {
		return serialNumber;
	}

	public void setSerialNumber(Integer serialNumber) {
		this.serialNumber = serialNumber;
	}

	public String getPatentNumber() {
		return patentNumber;
	}

	public void setPatentNumber(String patentNumber) {
		this.patentNumber = patentNumber;
	}

	public Integer getLocationProvince() {
		return locationProvince;
	}

	public void setLocationProvince(Integer locationProvince) {
		this.locationProvince = locationProvince;
	}

	public String getUnitName() {
		return unitName;
	}

	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}

	public Integer getPatentCatagory() {
		return patentCatagory;
	}

	public void setPatentCatagory(Integer patentCatagory) {
		this.patentCatagory = patentCatagory;
	}

	public String getPatentName() {
		return patentName;
	}

	public void setPatentName(String patentName) {
		this.patentName = patentName;
	}

	public Integer getPatentState() {
		return patentState;
	}

	public void setPatentState(Integer patentState) {
		this.patentState = patentState;
	}

	public Integer getAnnualFeeState() {
		return annualFeeState;
	}

	public void setAnnualFeeState(Integer annualFeeState) {
		this.annualFeeState = annualFeeState;
	}

	public Date getAuthorizedDate() {
		return authorizedDate;
	}

	public void setAuthorizedDate(Date authorizedDate) {
		this.authorizedDate = authorizedDate;
	}

	// authorizedDate
	public String getAuthorizedDateFormattedDate() {
		if (this.authorizedDate == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getAuthorizedDate(), AFTConstants.YYYYMMDDHHMMSS);
		}
	}

	public void setAuthorizedDateFormattedDate(String authorizedDateFormattedDate) {

	}

}
